# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.youtube
Class YtGender

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.youtube.YtGender

All Implemented Interfaces:
  Extension

    public class YtGender

extends AbstractExtension

Object representation for the yt:gender tag

Nested Class Summary
`static class` `YtGender.Value` Gender Value.

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`YtGender()` Creates an empty tag.
`YtGender(YtGender.Value gender)` Creates a tag and initializes its content.

Method Summary
`protected void` `consumeAttributes(AttributeHelper helper)` Consumes attributes from the attribute helper.
`YtGender.Value` `getGender()` Gets the gender.
`protected void` `putAttributes(AttributeGenerator generator)` Puts attributes into the attribute generator.
`void` `setGender(YtGender.Value gender)` Sets the gender.

Methods inherited from class com.google.gdata.data.AbstractExtension
`disableStrictValidation, enableStrictValidation, eq, generate, generate, generateAttributes, getExtensionLocalName, getExtensionNamespace, getHandler, isImmutable, isStrictValidation, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### YtGender

    public YtGender()

  Creates an empty tag.

### YtGender

    public YtGender(YtGender.Value gender)

  Creates a tag and initializes its content.

  Parameters:
    `gender` - `YtGender.Value.FEMALE`, `YtGender.Value.MALE` or `null`

Method Detail

### getGender

    public YtGender.Value getGender()

  Gets the gender.

  Returns:
    `YtGender.Value.FEMALE`, `YtGender.Value.MALE` or `null`

### setGender

    public void setGender(YtGender.Value gender)

  Sets the gender.

  Parameters:
    `gender` - `YtGender.Value.FEMALE`, `YtGender.Value.MALE` or `null`

### putAttributes

    protected void putAttributes(AttributeGenerator generator)

  Description copied from class: `AbstractExtension`
  Puts attributes into the attribute generator. Called from `AbstractExtension.generate(XmlWriter,ExtensionProfile)`. Default implementation does nothing, though generally this is discouraged unless there really are no attributes.

  Overrides:
    `putAttributes` in class `AbstractExtension`
  Parameters:
    `generator` - attribute generator

### consumeAttributes

    protected void consumeAttributes(AttributeHelper helper)
                              throws ParseException

  Description copied from class: `AbstractExtension`
  Consumes attributes from the attribute helper. May also use `AttributeHelper.consumeContent(boolean)` to consume the element's text content. Called from `AbstractExtension.getHandler(com.google.gdata.data.ExtensionProfile, java.lang.String, java.lang.String, org.xml.sax.Attributes)`. Default implementation does nothing, though generally this is discouraged unless there really are no attributes.

  Overrides:
    `consumeAttributes` in class `AbstractExtension`
  Parameters:
    `helper` - attribute helper
  Throws:
    `ParseException` - any parsing exception